<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <LinearLayout
        android:id="@+id/ll_bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:background="@color/white"
        android:gravity="center"
        android:paddingVertical="10mm">

        <Button
            android:id="@+id/btn_reviews"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/shape_blue_circle"
            android:paddingHorizontal="40mm"
            android:text="评价"
            android:textColor="@color/white" />
    </LinearLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@id/ll_bottom"
        android:paddingHorizontal="10mm"
        android:paddingTop="8mm"
        android:paddingBottom="40mm">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="任务单号:"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/tv_code"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="10mm"
                    android:layout_weight="1"
                    android:gravity="right"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/tv_detail"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5mm"
                    android:text="查看详情"
                    android:textColor="@color/blue_btn"
                    android:textSize="15sp" />
            </LinearLayout>

            <View style="@style/ViewX" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingVertical="13mm"
                android:text="完成情况"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/tv_finish"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="3mm"
                android:layout_marginBottom="10mm"
                android:background="@drawable/shape_input_white"
                android:gravity="top"
                android:minLines="3"
                android:padding="5mm"
                android:textSize="14sp" />

            <View style="@style/dividerX" />
            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="资料完成情况"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/tv_finish_confirm"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="10mm"
                    android:text="请选择"
                    android:textColor="#FF41B390"
                    android:textSize="14sp" />
            </RelativeLayout>

            <View style="@style/dividerX" />

            <LinearLayout
                android:id="@+id/ll_design"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:visibility="gone">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingVertical="9mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="产品图纸确认"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/tv_design_confirm"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_marginRight="10mm"
                        android:text="请选择"
                        android:textColor="#FF41B390"
                        android:textSize="14sp" />
                </RelativeLayout>

                <View style="@style/dividerX" />


                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingVertical="13mm"
                    android:text="现场情况调查"
                    android:textSize="14sp" />

                <EditText
                    android:id="@+id/et_design1"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="3mm"
                    android:background="@drawable/shape_input_white"
                    android:clickable="false"
                    android:enabled="false"
                    android:gravity="top"
                    android:minLines="3"
                    android:padding="5mm"
                    android:textSize="14sp" />


                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingVertical="13mm"
                    android:text="可行性方案"
                    android:textSize="14sp" />

                <EditText
                    android:id="@+id/et_design2"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"

                    android:layout_marginTop="3mm"
                    android:background="@drawable/shape_input_white"
                    android:clickable="false"
                    android:enabled="false"
                    android:gravity="top"
                    android:minLines="3"
                    android:padding="5mm"
                    android:textSize="14sp" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_try"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:visibility="gone">

                <RelativeLayout
                    android:id="@+id/rl_try_pro"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    
                    android:paddingVertical="9mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:layout_centerVertical="true"
                        android:text="试验产品"
                        android:textSize="14sp" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:gravity="center_vertical">

                        <TextView
                            android:id="@+id/tv_try_pro"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentLeft="true"
                            android:layout_marginRight="3mm"
                            android:text="请选择"
                            android:textColor="@color/flexible_text_gray"
                            android:textSize="14sp" />

                    </LinearLayout>

                </RelativeLayout>

                <View style="@style/dividerX" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    
                    android:paddingVertical="13mm"
                    android:text="实验过程"
                    android:textSize="14sp" />

                <EditText
                    android:id="@+id/et_try1"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"

                    android:layout_marginTop="3mm"
                    android:background="@drawable/shape_input_white"
                    android:clickable="false"
                    android:enabled="false"
                    android:gravity="top"
                    android:minLines="3"
                    android:padding="5mm"
                    android:textSize="14sp" />


                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    
                    android:paddingVertical="13mm"
                    android:text="实验结果"
                    android:textSize="14sp" />

                <EditText
                    android:id="@+id/et_try2"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"

                    android:layout_marginTop="3mm"
                    android:background="@drawable/shape_input_white"
                    android:clickable="false"
                    android:enabled="false"
                    android:gravity="top"
                    android:minLines="3"
                    android:padding="5mm"
                    android:textSize="14sp" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    
                    android:paddingVertical="13mm"
                    android:text="改进及建议"
                    android:textSize="14sp" />

                <EditText
                    android:id="@+id/et_try3"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"

                    android:layout_marginTop="3mm"
                    android:background="@drawable/shape_input_white"
                    android:clickable="false"
                    android:enabled="false"
                    android:gravity="top"
                    android:minLines="3"
                    android:padding="5mm"
                    android:textSize="14sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_quality"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:visibility="gone">

                <RelativeLayout
                    android:id="@+id/rl_quality_pro"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    
                    android:paddingVertical="9mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:layout_centerVertical="true"
                        android:text="产品"
                        android:textSize="14sp" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:gravity="center_vertical">

                        <TextView
                            android:id="@+id/tv_quality_pro"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentLeft="true"
                            android:layout_marginRight="3mm"
                            android:text="请选择"
                            android:textColor="@color/flexible_text_gray"
                            android:textSize="14sp" />

                    </LinearLayout>

                </RelativeLayout>

                <View style="@style/dividerX" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    
                    android:paddingVertical="13mm"
                    android:text="反馈的质量问题"
                    android:textSize="14sp" />

                <EditText
                    android:id="@+id/et_quality1"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"

                    android:layout_marginTop="3mm"
                    android:background="@drawable/shape_input_white"
                    android:clickable="false"
                    android:enabled="false"
                    android:gravity="top"
                    android:minLines="3"
                    android:padding="5mm"
                    android:textSize="14sp" />


                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    
                    android:paddingVertical="13mm"
                    android:text="现场使用情况"
                    android:textSize="14sp" />

                <EditText
                    android:id="@+id/et_quality2"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"

                    android:layout_marginTop="3mm"
                    android:background="@drawable/shape_input_white"
                    android:clickable="false"
                    android:enabled="false"
                    android:gravity="top"
                    android:minLines="3"
                    android:padding="5mm"
                    android:textSize="14sp" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    
                    android:paddingVertical="13mm"
                    android:text="原因分析"
                    android:textSize="14sp" />

                <EditText
                    android:id="@+id/et_quality3"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"

                    android:layout_marginTop="3mm"
                    android:background="@drawable/shape_input_white"
                    android:clickable="false"
                    android:enabled="false"
                    android:gravity="top"
                    android:minLines="3"
                    android:padding="5mm"
                    android:textSize="14sp" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    
                    android:paddingVertical="13mm"
                    android:text="解决方案"
                    android:textSize="14sp" />

                <EditText
                    android:id="@+id/et_quality4"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"

                    android:layout_marginTop="3mm"
                    android:background="@drawable/shape_input_white"
                    android:clickable="false"
                    android:enabled="false"
                    android:gravity="top"
                    android:minLines="3"
                    android:padding="5mm"
                    android:textSize="14sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_tech"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:visibility="gone">

                <RelativeLayout
                    android:id="@+id/rl_tech_pro"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    
                    android:paddingVertical="9mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:layout_centerVertical="true"
                        android:text="产品"
                        android:textSize="14sp" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:gravity="center_vertical">

                        <TextView
                            android:id="@+id/tv_tech_pro"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentLeft="true"
                            android:layout_marginRight="3mm"
                            android:text="请选择"
                            android:textColor="@color/flexible_text_gray"
                            android:textSize="14sp" />

                    </LinearLayout>

                </RelativeLayout>

                <View style="@style/dividerX" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    
                    android:paddingVertical="13mm"
                    android:text="交流目的"
                    android:textSize="14sp" />

                <EditText
                    android:id="@+id/et_tech1"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"

                    android:layout_marginTop="3mm"
                    android:background="@drawable/shape_input_white"
                    android:clickable="false"
                    android:enabled="false"
                    android:gravity="top"
                    android:minLines="3"
                    android:padding="5mm"
                    android:textSize="14sp" />


                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    
                    android:paddingVertical="13mm"
                    android:text="交流情况"
                    android:textSize="14sp" />

                <EditText
                    android:id="@+id/et_tech2"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"

                    android:layout_marginTop="3mm"
                    android:background="@drawable/shape_input_white"
                    android:clickable="false"
                    android:enabled="false"
                    android:gravity="top"
                    android:minLines="3"
                    android:padding="5mm"
                    android:textSize="14sp" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    
                    android:paddingVertical="13mm"
                    android:text="达成意见"
                    android:textSize="14sp" />

                <EditText
                    android:id="@+id/et_tech3"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"

                    android:layout_marginTop="3mm"
                    android:background="@drawable/shape_input_white"
                    android:clickable="false"
                    android:enabled="false"
                    android:gravity="top"
                    android:minLines="3"
                    android:padding="5mm"
                    android:textSize="14sp" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_tender"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:visibility="gone">


                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    
                    android:paddingVertical="13mm"
                    android:text="产品设计"
                    android:textSize="14sp" />

                <EditText
                    android:id="@+id/et_tender1"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"

                    android:layout_marginTop="3mm"
                    android:background="@drawable/shape_input_white"
                    android:clickable="false"
                    android:enabled="false"
                    android:gravity="top"
                    android:minLines="3"
                    android:padding="5mm"
                    android:textSize="14sp" />


                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    
                    android:paddingVertical="13mm"
                    android:text="产品报价"
                    android:textSize="14sp" />

                <EditText
                    android:id="@+id/et_tender2"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"

                    android:layout_marginTop="3mm"
                    android:background="@drawable/shape_input_white"
                    android:clickable="false"
                    android:enabled="false"
                    android:gravity="top"
                    android:minLines="3"
                    android:padding="5mm"
                    android:textSize="14sp" />


            </LinearLayout>
            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingVertical="13mm"
                android:text="照片"
                android:textSize="14sp" />
            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_img"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="10mm" />
            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingVertical="13mm"
                android:text="附件"
                android:textSize="14sp" />
            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_annex"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="10mm" />
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</RelativeLayout>
